﻿/**
 * Copyrights (c) 2012 Advanced Core Technologies, Inc. All rights reserved.
 * 2012/05/10 ISHI 新規作成
 */
package jp.co.act_inc.actservicesample;

/**
 * アクティビティやフラグメントと結び付けるインターフェースです。
 * 
 * @author ishi
 * @param <T>
 *            アクティビティやフラグメント
 */
public interface Attachable<T> {
    /**
     * アクティビティを結びつけます
     * 
     * @param activity
     *            アクティビティ
     */
    public void attach(T activity);

    /**
     * アクティビティを切り離します。
     */
    public void detach();
}
