﻿/**
 * Copyrights (c) 2012 Advanced Core Technologies, Inc. All rights reserved.
 * 2012/05/10 ISHI 新規作成
 */
package jp.co.act_inc.actservicesample.activity;

import jp.co.act_inc.actservicesample.BundleKey;
import android.app.Dialog;
import android.app.ProgressDialog;
import android.os.Bundle;
import android.support.v4.app.DialogFragment;

/**
 * 進捗ダイアログです。
 * 
 * @author ishi
 * 
 */
public class ProgressDialogFragment extends DialogFragment {
    /**
     * インスタンスを生成します。
     * 
     * @param title
     *            タイトル
     * @param message
     *            メッセージ
     * @return ProgressDialogFragment
     */
    public static ProgressDialogFragment newInstance(String title,
            String message) {
        ProgressDialogFragment dialog = new ProgressDialogFragment();
        Bundle args = new Bundle();
        args.putString(BundleKey.TITLE, title);
        args.putString(BundleKey.MESSAGE, message);
        dialog.setArguments(args);
        return dialog;
    }

    @Override
    public Dialog onCreateDialog(Bundle savedInstanceState) {
        String title = getArguments().getString(BundleKey.TITLE);
        String message = getArguments().getString(BundleKey.MESSAGE);
        ProgressDialog progress = new ProgressDialog(getActivity());
        progress.setProgressStyle(ProgressDialog.STYLE_SPINNER);
        progress.setCancelable(false);
        progress.setTitle(title);
        progress.setMessage(message);
        setCancelable(false);
        return progress;
    }
}
