﻿/**
 * Copyrights (c) 2012 Advanced Core Technologies, Inc. All rights reserved.
 * 2012/05/15 ISHI 新規作成
 */
package jp.co.act_inc.actservicesample.activity;

import java.text.NumberFormat;
import java.util.ArrayList;

import jp.co.act_inc.actservicesample.MyApp;
import jp.co.act_inc.actservicesample.R;
import jp.co.act_inc.actservicesample.dcservice.CalcResultHolder;
import jp.co.act_inc.actservicesample.dcservice.Loc;

import android.os.Bundle;
import android.support.v4.app.ListFragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ListView;
import android.widget.TextView;

/**
 * 計算結果の地点タブ画面です。
 * 
 * @author ishi
 * 
 */
public class TabLocsFragment extends ListFragment {
    /**
     * リストビュー用アダプターです。
     * 
     * @author ishi
     * 
     */
    class LocAdapter extends BaseAdapter {
        @Override
        public int getCount() {
            int count = 0;
            if (locs != null) {
                count = locs.size();
            }
            return count;
        }

        @Override
        public Object getItem(int position) {
            if (locs != null) {
                return locs.get(position);
            }
            return null;
        }

        @Override
        public long getItemId(int position) {
            return position;
        }

        @Override
        public View getView(int position, View convertView, ViewGroup parent) {
            View v = convertView;
            if (v == null) {
                LayoutInflater inflater = getActivity().getLayoutInflater();
                v = inflater.inflate(R.layout.row_loc_result, null);
            }
            String num = "";
            String tag = "";
            String time = "";
            String dist = "";
            String highwayTime = "";
            String highwayDist = "";
            String tollSS = "";
            String tollS = "";
            String tollM = "";
            String tollL = "";
            String tollLL = "";

            Loc loc = (Loc) getItem(position);
            if (loc != null) {
                num = Integer.toString(position + 1);
                tag = loc.getTag();
                time = NumberFormat.getNumberInstance().format(loc.getTime());
                if (time.equals("-1")) {
                    time = getString(R.string.common_not_reach);
                }
                dist = NumberFormat.getNumberInstance().format(loc.getDist());
                if (dist.equals("-1")) {
                    dist = getString(R.string.common_not_reach);
                }
                highwayTime = NumberFormat.getNumberInstance().format(
                        loc.getHighwayTime());
                highwayDist = NumberFormat.getNumberInstance().format(
                        loc.getHighwayDist());
                tollSS = NumberFormat.getNumberInstance().format(
                        loc.getToll_SS());
                tollS = NumberFormat.getNumberInstance()
                        .format(loc.getToll_S());
                tollM = NumberFormat.getNumberInstance()
                        .format(loc.getToll_M());
                tollL = NumberFormat.getNumberInstance()
                        .format(loc.getToll_L());
                tollLL = NumberFormat.getNumberInstance().format(
                        loc.getToll_LL());
            }

            ((TextView) v.findViewById(R.id.textView_row_loc_num)).setText(num);
            ((TextView) v.findViewById(R.id.textView_row_loc_tag)).setText(tag);
            ((TextView) v.findViewById(R.id.textView_row_loc_time))
                    .setText(time);
            ((TextView) v.findViewById(R.id.textView_row_loc_dist))
                    .setText(dist);
            ((TextView) v.findViewById(R.id.textView_row_loc_highway_time))
                    .setText(highwayTime);
            ((TextView) v.findViewById(R.id.textView_row_loc_highway_dist))
                    .setText(highwayDist);
            ((TextView) v.findViewById(R.id.textView_row_loc_toll_ss))
                    .setText(tollSS);
            ((TextView) v.findViewById(R.id.textView_row_loc_toll_s))
                    .setText(tollS);
            ((TextView) v.findViewById(R.id.textView_row_loc_toll_m))
                    .setText(tollM);
            ((TextView) v.findViewById(R.id.textView_row_loc_toll_l))
                    .setText(tollL);
            ((TextView) v.findViewById(R.id.textView_row_loc_toll_ll))
                    .setText(tollLL);
            return v;
        }
    }

    private LocAdapter adapter;
    private MyApp app;
    private ListView listView;
    private ArrayList<Loc> locs;
    private CalcResultHolder result;

    @Override
    public void onActivityCreated(Bundle savedInstanceState) {
        super.onActivityCreated(savedInstanceState);

        app = (MyApp) getActivity().getApplication();

        result = app.getResult();
        if (result != null) {
            if (result.getCalcRouteResponse() != null) {
                locs = result.getCalcRouteResponse().getLocs();
            } else if (result.getCalcOptRouteResponse() != null) {
                locs = result.getCalcOptRouteResponse().getLocs();
            } else if (result.getCalcOneWay3Response() != null) {
                locs = result.getCalcOneWay3Response().getLocs();
            }
        }
        adapter = new LocAdapter();
        listView = (ListView) getView().findViewById(android.R.id.list);
        listView.setAdapter(adapter);
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
            Bundle savedInstanceState) {
        return inflater.inflate(R.layout.tab_locs, null, false);
    }
}
