﻿/**
 * Copyrights (c) 2012 Advanced Core Technologies, Inc. All rights reserved.
 * 2012/05/15 ISHI 新規作成
 */
package jp.co.act_inc.actservicesample.activity;

import java.text.NumberFormat;
import java.util.ArrayList;

import jp.co.act_inc.actservicesample.MyApp;
import jp.co.act_inc.actservicesample.R;
import jp.co.act_inc.actservicesample.dcservice.CalcResultHolder;
import jp.co.act_inc.actservicesample.dcservice.Rn;
import jp.co.act_inc.actservicesample.dcservice.CalcResultHolder.CalcType;

import android.os.Bundle;
import android.support.v4.app.ListFragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ListView;
import android.widget.TextView;

/**
 * 計算結果の経由地点タブ画面です。
 * 
 * @author ishi
 * 
 */
public class TabRnsFragment extends ListFragment {
    /**
     * リストビュー用アダプターです。
     * 
     * @author ishi
     * 
     */
    class RnAdapter extends BaseAdapter {
        @Override
        public int getCount() {
            int count = 0;
            if (rns != null) {
                count = rns.size();
            }
            return count;
        }

        @Override
        public Object getItem(int position) {
            if (rns != null) {
                return rns.get(position);
            }
            return null;
        }

        @Override
        public long getItemId(int position) {
            return position;
        }

        @Override
        public View getView(int position, View convertView, ViewGroup parent) {
            View v = convertView;
            if (v == null) {
                LayoutInflater inflater = getActivity().getLayoutInflater();
                v = inflater.inflate(R.layout.row_rn, null);
            }
            String num = "";
            String type = "";
            String name = "";
            String time = "";
            String dist = "";
            String tollSS = "";
            String tollS = "";
            String tollM = "";
            String tollL = "";
            String tollLL = "";

            Rn rn = (Rn) getItem(position);
            if (rn != null) {
                num = Integer.toString(position + 1);
                if (rn.getLocFlag() == 1) {
                    type = getString(R.string.common_location);
                } else if (rn.getIcType() == 1) {
                    type = getString(R.string.common_in_tollgate);
                } else if (rn.getIcType() == 2) {
                    type = getString(R.string.common_out_tollgate);
                } else if (rn.getLinkFlag() == 1) {
                    type = getString(R.string.common_road);
                } else {
                    type = getString(R.string.common_node);
                }
                name = rn.getName();
                time = NumberFormat.getNumberInstance().format(rn.getTime());
                dist = NumberFormat.getNumberInstance().format(rn.getDist());
                tollSS = NumberFormat.getNumberInstance().format(
                        rn.getToll_SS());
                tollS = NumberFormat.getNumberInstance().format(rn.getToll_S());
                tollM = NumberFormat.getNumberInstance().format(rn.getToll_M());
                tollL = NumberFormat.getNumberInstance().format(rn.getToll_L());
                tollLL = NumberFormat.getNumberInstance().format(
                        rn.getToll_LL());
            }

            ((TextView) v.findViewById(R.id.textView_row_rn_num)).setText(num);
            ((TextView) v.findViewById(R.id.textView_row_rn_type))
                    .setText(type);
            ((TextView) v.findViewById(R.id.textView_row_rn_name))
                    .setText(name);
            ((TextView) v.findViewById(R.id.textView_row_rn_time))
                    .setText(time);
            ((TextView) v.findViewById(R.id.textView_row_rn_dist))
                    .setText(dist);
            ((TextView) v.findViewById(R.id.textView_row_rn_toll_ss))
                    .setText(tollSS);
            ((TextView) v.findViewById(R.id.textView_row_rn_toll_s))
                    .setText(tollS);
            ((TextView) v.findViewById(R.id.textView_row_rn_toll_m))
                    .setText(tollM);
            ((TextView) v.findViewById(R.id.textView_row_rn_toll_l))
                    .setText(tollL);
            ((TextView) v.findViewById(R.id.textView_row_rn_toll_ll))
                    .setText(tollLL);
            return v;
        }
    }

    private RnAdapter adapter;
    private MyApp app;
    private ListView listView;
    private CalcResultHolder result;
    private ArrayList<Rn> rns;

    @Override
    public void onActivityCreated(Bundle savedInstanceState) {
        super.onActivityCreated(savedInstanceState);

        app = (MyApp) getActivity().getApplication();
        result = app.getResult();
        if (result != null) {
            switch (result.getCalcType()) {
            case CalcType.CALC_ROUTE:
                rns = result.getCalcRouteResponse().getRns();
                break;
            case CalcType.CALC_OPT_ROUTE:
                rns = result.getCalcOptRouteResponse().getRns();
                break;
            }
        }
        listView = (ListView) getView().findViewById(android.R.id.list);
        adapter = new RnAdapter();
        listView.setAdapter(adapter);
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
            Bundle savedInstanceState) {
        return inflater.inflate(R.layout.tab_rns, null, false);
    }
}
