﻿/**
 * Copyrights (c) 2012 Advanced Core Technologies, Inc. All rights reserved.
 * 2012/05/15 ISHI 新規作成
 */
package jp.co.act_inc.actservicesample.activity;

import java.text.NumberFormat;
import java.util.ArrayList;

import jp.co.act_inc.actservicesample.MyApp;
import jp.co.act_inc.actservicesample.R;
import jp.co.act_inc.actservicesample.dcservice.CalcResultHolder;
import jp.co.act_inc.actservicesample.dcservice.Trd;

import android.os.Bundle;
import android.support.v4.app.ListFragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ListView;
import android.widget.TextView;

/**
 * 計算結果の経由有料道路タブ画面です。
 * 
 * @author ishi
 * 
 */
public class TabTrdsFragment extends ListFragment {
    /**
     * リストビュー用アダプターです。
     * 
     * @author ishi
     * 
     */
    class TrdAdapter extends BaseAdapter {
        @Override
        public int getCount() {
            int count = 0;
            if (trds != null) {
                count = trds.size();
            }
            return count;
        }

        @Override
        public Object getItem(int position) {
            if (trds != null) {
                return trds.get(position);
            }
            return null;
        }

        @Override
        public long getItemId(int position) {
            return position;
        }

        @Override
        public View getView(int position, View convertView, ViewGroup parent) {
            View v = convertView;
            if (v == null) {
                LayoutInflater inflater = getActivity().getLayoutInflater();
                v = inflater.inflate(R.layout.row_trd, null);
            }
            String num = "";
            String inRoad = "";
            String inIC = "";
            String outRoad = "";
            String outIC = "";
            String tollSS = "";
            String tollS = "";
            String tollM = "";
            String tollL = "";
            String tollLL = "";

            Trd trd = (Trd) getItem(position);
            if (trd != null) {
                num = Integer.toString(position + 1);
                inRoad = trd.getInRdName();
                inIC = trd.getInICName();
                outRoad = trd.getOutRdName();
                outIC = trd.getOutICName();
                tollSS = NumberFormat.getNumberInstance().format(
                        trd.getToll_SS());
                tollS = NumberFormat.getNumberInstance()
                        .format(trd.getToll_S());
                tollM = NumberFormat.getNumberInstance()
                        .format(trd.getToll_M());
                tollL = NumberFormat.getNumberInstance()
                        .format(trd.getToll_L());
                tollLL = NumberFormat.getNumberInstance().format(
                        trd.getToll_LL());
            }

            ((TextView) v.findViewById(R.id.textView_row_trd_num)).setText(num);
            ((TextView) v.findViewById(R.id.textView_row_trd_in_road))
                    .setText(inRoad);
            ((TextView) v.findViewById(R.id.textView_row_trd_in_ic))
                    .setText(inIC);
            ((TextView) v.findViewById(R.id.textView_row_trd_out_road))
                    .setText(outRoad);
            ((TextView) v.findViewById(R.id.textView_row_trd_out_ic))
                    .setText(outIC);
            ((TextView) v.findViewById(R.id.textView_row_trd_toll_ss))
                    .setText(tollSS);
            ((TextView) v.findViewById(R.id.textView_row_trd_toll_s))
                    .setText(tollS);
            ((TextView) v.findViewById(R.id.textView_row_trd_toll_m))
                    .setText(tollM);
            ((TextView) v.findViewById(R.id.textView_row_trd_toll_l))
                    .setText(tollL);
            ((TextView) v.findViewById(R.id.textView_row_trd_toll_ll))
                    .setText(tollLL);

            return v;
        }
    }

    private TrdAdapter adapter;
    private MyApp app;
    private ListView listView;
    private CalcResultHolder result;
    private ArrayList<Trd> trds;

    @Override
    public void onActivityCreated(Bundle savedInstanceState) {
        super.onActivityCreated(savedInstanceState);

        app = (MyApp) getActivity().getApplication();
        result = app.getResult();
        if (result != null) {
            if (result.getCalcRouteResponse() != null) {
                trds = result.getCalcRouteResponse().getTrds();
            } else if (result.getCalcOptRouteResponse() != null) {
                trds = result.getCalcOptRouteResponse().getTrds();
            }
        }
        listView = (ListView) getView().findViewById(android.R.id.list);
        adapter = new TrdAdapter();
        listView.setAdapter(adapter);
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
            Bundle savedInstanceState) {
        return inflater.inflate(R.layout.tab_trds, null, false);
    }
}
