﻿/**
 * Copyrights (c) 2012 Advanced Core Technologies, Inc. All rights reserved.
 * 2012/05/10 ISHI 新規作成
 */
package jp.co.act_inc.actservicesample.adminservice;

/**
 * 定数クラス
 * 
 * @author ishi
 * 
 */
public class Constants {
    /**
     * 住所コード長
     * 
     * @author ishi
     * 
     */
    public class AddressCodeLength {
        /**
         * 都道府県レベル住所コード長
         */
        public static final int PREF = 2;
        /**
         * 市区町村レベル住所コード長
         */
        public static final int CITY = 5;
        /**
         * 大字・丁目レベル住所コード長
         */
        public static final int STREET = 11;
        /**
         * 街区・番地レベル住所コード長
         */
        public static final int BLOCK = 16;
        /**
         * 号レベル住所コード長
         */
        public static final int HOUSE = 20;
    }

    /**
     * 住所レベル
     * 
     * @author ishi
     * 
     */
    public class AddressLevel {
        /**
         * なし
         */
        public static final int NONE = 0;
        /**
         * 都道府県レベル
         */
        public static final int PREF = 1;
        /**
         * 市区町村レベル
         */
        public static final int CITY = 2;
        /**
         * 大字・丁目レベル
         */
        public static final int STREET = 8;
        /**
         * 街区・番地レベル
         */
        public static final int BLOCK = 16;
        /**
         * 号レベル
         */
        public static final int HOUSE = 32;
    }

    /**
     * 範囲方向指定
     * 
     * @author ishi
     * 
     */
    public class AreaDirection {
        /**
         * 到達圏計算
         */
        public static final int OUTFLOW = 0x0;
        /**
         * 流入圏計算
         */
        public static final int INFLOW = 0x1000;
    }

    /**
     * 到達圏／流入圏計算種別
     * 
     * @author ishi
     * 
     */
    public class AreaKind {
        /**
         * 時間圏計算
         */
        public static final int TIME = 1;
        /**
         * 距離圏計算
         */
        public static final int DIST = 2;
    }

    /**
     * 計算方法
     * 
     * @author ishi
     * 
     */
    public class CalcKind {
        /**
         * 時間最短
         */
        public static final int TIME = 1;
        /**
         * 距離最短
         */
        public static final int DIST = 2;
    }

    /**
     * 測地系
     * 
     * @author ishi
     * 
     */
    public class Datum {
        /**
         * 経度緯度東京
         */
        public static final int Tokyo = 0;

        /**
         * 日本測地系2000
         */
        public static final int Jgd2000 = 1;
    }

    /**
     * 高速道路区間出力フラグ
     * 
     * @author ishi
     * 
     */
    public class HighwayOutput {
        /**
         * 出力しない
         */
        public static final int NOT_OUTPUT = 0;
        /**
         * 出力する
         */
        public static final int OUTPUT = 1;
    }

    /**
     * ロケーション構造体配列出力フラグ
     * 
     * @author ishi
     * 
     */
    public class LocsOutput {
        /**
         * 出力しない
         */
        public static final int NOT_OUTPUT = 0;
        /**
         * 出力する
         */
        public static final int OUTPUT = 1;
    }

    /**
     * 計 算 用 道 路 デ ー タネットワークＩＤ対応輸送手段
     * 
     * @author ishi
     * 
     */
    public class NwidClassA {
        /**
         * 自動車
         */
        public static final int CAR = 0x1;
        /**
         * 航空便
         */
        public static final int AIRWAY = 0x2;
        /**
         * フェリー
         */
        public static final int FERRY = 0x4;
        /**
         * 旅客鉄道
         */
        public static final int RAILWAY = 0x8;
        /**
         * 貨物鉄道
         */
        public static final int RAILROAD_FREIGHT = 0x10;
        /**
         * 内航船
         */
        public static final int SHIP = 0x40;
        /**
         * 歩行者
         */
        public static final int WALK = 0x100;
    }

    /**
     * ポイント構造体配列出力フラグ
     * 
     * @author ishi
     * 
     */
    public class PntsOutput {
        /**
         * 出力しない
         */
        public static final int NOT_OUTPUT = 0;
        /**
         * 出力する
         */
        public static final int OUTPUT = 1;
    }

    /**
     * ポリゴン詳細フラグ
     * 
     * @author ishi
     * 
     */
    public class PolygonDetail {
        /**
         * 設定なし
         */
        public static final int NONE = 0x0;
        /**
         * 中間リンク補間
         */
        public static final int EXPAND_MIDDLE = 0x1;
        /**
         * 末端リンク補間
         */
        public static final int EXPAND_TERMINAL = 0x2;
    }

    /**
     * ポリゴン種別
     * 
     * @author ishi
     * 
     */
    public class PolygonKind {
        /**
         * 単一ポリゴン
         */
        public static final int SIMPLE_POLYGON = 1;
        /**
         * 複数ポリゴン
         */
        public static final int MULTI_POLYGON = 2;
    }

    /**
     * 経由道路名構造体配列出力フラグ
     * 
     * @author ishi
     * 
     */
    public class RnsOutput {
        /**
         * 出力しない
         */
        public static final int NOT_OUTPUT = 0;
        /**
         * 出力する
         */
        public static final int OUTPUT = 1;
    }

    /**
     * ルート種別
     * 
     * @author ishi
     * 
     */
    public class RouteKind {
        /**
         * 簡易ルート
         */
        public static final int SIMPLE = 0;
        /**
         * 詳細ルート
         */
        public static final int DETAIL = 1;
    }

    /**
     * 住所検索フラグ
     * 
     * @author ishi
     * 
     */
    public class SearchAddressFlag {
        /**
         * なし
         */
        public static final int NONE = 0x0;
        /**
         * 全住所を取得する
         */
        public static final int GET_FULL_ADDRESS = 0x1;
    }

    /**
     * 郵便番号検索フラグ
     * 
     * @author ishi
     * 
     */
    public class SearchZipFlag {
        /**
         * なし
         */
        public static final int NONE = 0x0;
        /**
         * 候補が複数の時、先頭を採用する
         */
        public static final int SELECT_TOP = 0x1;
        /**
         * 候補が複数の時、「住所の中心」を採用する
         */
        public static final int SELECT_CENTER = 0x8;
        /**
         * 候補が複数の時、「中心に近い住所」を採用する
         */
        public static final int SELECT_CENTER_ADDRESS = 0x10;
    }

    /**
     * リンク速度フラグ
     * 
     * @author ishi
     * 
     */
    public class SpeedFlag {
        /**
         * なし
         */
        public static final int NONE = 0;
        /**
         * 一時的速度
         */
        public static final int TEMPORARY_SPEED = 0x10;
        /**
         * 恒久的速度
         */
        public static final int PERMANENT_SPEED = 0x20;
        /**
         * 速度ゼロの方向は変更しない
         */
        public static final int ZERO_RESERVE = 0x40;
    }

    /**
     * 通行料金出力フラグ
     * 
     * @author ishi
     * 
     */
    public class TollOutput {
        /**
         * 出力しない
         */
        public static final int NOT_OUTPUT = 0;
        /**
         * 出力する
         */
        public static final int OUTPUT = 1;
    }

    /**
     * 交通機関フラグ
     * 
     * @author ishi
     * 
     */
    public class Transport {
        /**
         * 既定交通手段
         */
        public static final int NONE = 0;
        /**
         * 高速道路
         */
        public static final int HIGHWAY = 0x1;
        /**
         * 有料道路／フェリー道路
         */
        public static final int PAYROAD_FERRY = 0x2;
        /**
         * フェリー
         */
        public static final int FERRY = 0x4;
        /**
         * 鉄道
         */
        public static final int RAILROAD = 0x8;
        /**
         * 航空便
         */
        public static final int AIRWAY = 0x10;
        /**
         * 内航船
         */
        public static final int SHIP = 0x40;
        /**
         * 旅客鉄道を使用する場合に急行も使用する
         */
        public static final int LIMITED_EXPRESS_TRAIN = 0x40;
    }

    /**
     * 経由有料道路構造体配列出力フラグ
     * 
     * @author ishi
     * 
     */
    public class TrdsOutput {
        /**
         * 出力しない
         */
        public static final int NOT_OUTPUT = 0;
        /**
         * 出力する
         */
        public static final int OUTPUT = 1;
    }
}
