﻿/**
 * Copyrights (c) 2012 Advanced Core Technologies, Inc. All rights reserved.
 * 2012/05/10 ISHI 新規作成
 */
package jp.co.act_inc.actservicesample.adminservice;

import java.io.IOException;

import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;

/**
 * ユーザー情報取得の結果です。 GetUserInformation2の結果を格納します。
 * 
 * @author ishi
 * 
 */
public class GetUserInformation2Response implements Response {
    private static final String GET_USER_INFORMATION2_RESULT = "GetUserInformation2Result";
    private static final String USER_INFORMATION = "UserInformation";

    /**
     * 戻り値
     */
    private Boolean result;
    /**
     * ユーザー情報
     */
    private UserInformation2 userInfo;
    /**
     * 例外
     */
    private Exception exception;

    /**
     * コンストラクタ
     * 
     */
    public GetUserInformation2Response() {
    }

    /**
     * コンストラクタ
     * 
     * @param result
     *            戻り値
     * @param userInfo
     *            ユーザー情報
     */
    public GetUserInformation2Response(Boolean result, UserInformation2 userInfo) {
        this.result = result;
        this.userInfo = userInfo;
    }

    @Override
    public Exception getException() {
        return exception;
    }

    /**
     * @return result
     */
    public Boolean getResult() {
        return this.result;
    }

    @Override
    public int getResultCode() {
        return result ? 0 : 1;
    }

    /**
     * @return userInfo
     */
    public UserInformation2 getUserInfo() {
        return this.userInfo;
    }

    @Override
    public void readXml(XmlPullParser parser, String tag)
            throws XmlPullParserException, IOException {
        int eventType = parser.getEventType();
        while (eventType != XmlPullParser.END_DOCUMENT) {
            switch (eventType) {
            case XmlPullParser.START_TAG:
                String startTagName = parser.getName();
                if (startTagName.equalsIgnoreCase(GET_USER_INFORMATION2_RESULT)) {
                    result = Boolean.parseBoolean(parser.nextText());
                } else if (startTagName.equalsIgnoreCase(USER_INFORMATION)) {
                    UserInformation2 userInfo = new UserInformation2();
                    userInfo.readXml(parser, USER_INFORMATION);
                    this.userInfo = userInfo;
                }
                break;
            case XmlPullParser.END_TAG:
                String endTagName = parser.getName();
                if (endTagName.equalsIgnoreCase(tag)) {
                    return;
                }
                break;
            }
            eventType = parser.next();
        }
    }

    @Override
    public void setException(Exception exception) {
        this.exception = exception;
    }
}
