﻿/**
 * Copyrights (c) 2012 Advanced Core Technologies, Inc. All rights reserved.
 * 2012/05/10 ISHI 新規作成
 */
package jp.co.act_inc.actservicesample.adminservice;

import java.io.IOException;

import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;

/**
 * 計算結果インターフェースです。
 * 
 * @author ishi
 * 
 */
public interface Response {

    /**
     * @return exception
     */
    public Exception getException();

    /**
     * 結果コードを取得します。
     * 
     * @return 結果コード
     */
    public int getResultCode();

    /**
     * SOAPレスポンスから値を読み取ります。
     * 
     * @param parser
     *            XMLパーサー
     * @param tag
     *            タグ名
     * @throws XmlPullParserException
     * @throws IOException
     */
    public void readXml(XmlPullParser parser, String tag)
            throws XmlPullParserException, IOException;

    /**
     * @param exception
     *            セットする exception
     */
    public void setException(Exception exception);

}
