﻿/**
 * Copyrights (c) 2012 Advanced Core Technologies, Inc. All rights reserved.
 * 2012/05/10 ISHI 新規作成
 */
package jp.co.act_inc.actservicesample.adminservice;

/**
 * Web例外です。
 * 
 * @author ishi
 * 
 */
public class WebException extends Exception {
    /**
     * シリアライズ番号
     */
    private static final long serialVersionUID = -7563603551134018965L;

    /**
     * メッセージ
     */
    private String responseMessage;
    /**
     * ステータスコード
     */
    private int statusCode;

    /**
     * コンストラクタ―
     * 
     * @param statusCode
     *            ステータスコード
     * @param responseMessage
     *            メッセージ
     */
    public WebException(int statusCode, String responseMessage) {
        this.statusCode = statusCode;
        this.responseMessage = responseMessage;
    }

    @Override
    public String getMessage() {
        return String.format("%d - %s", this.statusCode, this.responseMessage);
    }

    /**
     * @return responseMessage
     */
    public String getResponseMessage() {
        return this.responseMessage;
    }

    /**
     * @return statusCode
     */
    public int getStatusCode() {
        return this.statusCode;
    }
}
