/**
 * Copyrights (c) 2012 Advanced Core Technologies, Inc. All rights reserved.
 * 2012/12/19 ISHI 新規作成
 */
package jp.co.act_inc.actservicesample.gcservice;

import java.io.IOException;
import jp.co.act_inc.actservicesample.adminservice.Response;

import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;

/**
 * 下位住所数取得の結果です。 CountLowerAddressByCodeの結果を格納します。
 * 
 * @author ishi
 * 
 */
public class CountLowerAddressByCodeResponse implements Response {
    private static final String COUNT_LOWER_ADDRESS_BY_CODE_RESULT = "CountLowerAddressByCodeResult";
    private static final String COUNT = "Count";
    private static final String GEO_INFO = "GeoInfo";

    /**
     * 戻り値
     */
    private int resultCode;
    /**
     * 下位住所数
     */
    private int count;
    /**
     * 住所データ情報
     */
    private GeoInfo geoInfo;
    /**
     * 例外
     */
    private Exception exception;

    /**
     * コンストラクター
     * 
     */
    public CountLowerAddressByCodeResponse() {
    }

    /**
     * @return count
     */
    public int getCount() {
        return this.count;
    }

    @Override
    public Exception getException() {
        return exception;
    }

    /**
     * @return geoInfo
     */
    public GeoInfo getGeoInfo() {
        return this.geoInfo;
    }

    @Override
    public int getResultCode() {
        return resultCode;
    }

    @Override
    public void readXml(XmlPullParser parser, String tag)
            throws XmlPullParserException, IOException {
        int eventType = parser.getEventType();
        while (eventType != XmlPullParser.END_DOCUMENT) {
            switch (eventType) {
            case XmlPullParser.START_TAG:
                String startTagName = parser.getName();
                if (startTagName
                        .equalsIgnoreCase(COUNT_LOWER_ADDRESS_BY_CODE_RESULT)) {
                    String value = parser.nextText();
                    resultCode = Integer.parseInt(value);
                } else if (startTagName.equalsIgnoreCase(COUNT)) {
                    String value = parser.nextText();
                    count = Integer.parseInt(value);
                } else if (startTagName.equalsIgnoreCase(GEO_INFO)) {
                    geoInfo = new GeoInfo();
                    getGeoInfo().readXml(parser, GEO_INFO);
                }
                break;
            case XmlPullParser.END_TAG:
                String endTagName = parser.getName();
                if (endTagName.equalsIgnoreCase(tag)) {
                    return;
                }
                break;
            }
            eventType = parser.next();
        }
    }

    /**
     * @param count
     *            セットする count
     */
    public void setCount(int count) {
        this.count = count;
    }

    @Override
    public void setException(Exception exception) {
        this.exception = exception;
    }

}
