﻿/**
 * Copyrights (c) 2012 Advanced Core Technologies, Inc. All rights reserved.
 * 2012/05/10 ISHI 新規作成
 */
package jp.co.act_inc.actservicesample.gcservice;

import android.content.Context;
import jp.co.act_inc.actservicesample.R;
import jp.co.act_inc.actservicesample.adminservice.Constants.AddressLevel;

/**
 * 住所検索用ユーティリティです。
 * 
 * @author ishi
 * 
 */
public class GeoUtils {

    /**
     * 住所レベル名称を取得します。
     * 
     * @param context
     *            コンテキスト
     * @param addressLevel
     *            住所レベル
     * @return 住所レベル名称
     */
    public static String getGeoLevelName(Context context, int addressLevel) {
        switch (addressLevel) {
        case AddressLevel.PREF:
            return context.getString(R.string.geo_level_pref);
        case AddressLevel.CITY:
            return context.getString(R.string.geo_level_city);
        case AddressLevel.STREET:
            return context.getString(R.string.geo_level_street);
        case AddressLevel.BLOCK:
            return context.getString(R.string.geo_level_block);
        case AddressLevel.HOUSE:
            return context.getString(R.string.geo_level_house);
        default:
            return "";
        }
    }
}
