﻿/**
 * Copyrights (c) 2012 Advanced Core Technologies, Inc. All rights reserved.
 * 2012/05/10 ISHI 新規作成
 */
package jp.co.act_inc.actservicesample.gcservice;

import java.io.IOException;

import jp.co.act_inc.actservicesample.adminservice.Response;

import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;

/**
 * 住所検索用エラーメッセージ取得の結果です。 GetGcwsMessageの結果を格納します。
 * 
 * @author ishi
 * 
 */
public class GetGcwsMessageResponse implements Response {
    private static final String GET_GCWS_MESSAGE_RESULT = "GetGCWSMessageResult";

    /**
     * メッセージ
     */
    private String resultMessage;
    /**
     * 例外
     */
    private Exception exception;

    /**
     * コンストラクター
     * 
     */
    public GetGcwsMessageResponse() {
    }

    /**
     * コンストラクター
     * 
     * @param message
     *            メッセージ
     */
    public GetGcwsMessageResponse(String message) {
        this.resultMessage = message;
    }

    @Override
    public Exception getException() {
        return exception;
    }

    @Override
    public int getResultCode() {
        return 0;
    }

    /**
     * @return resultMessage
     */
    public String getResultMessage() {
        return this.resultMessage;
    }

    @Override
    public void readXml(XmlPullParser parser, String tag)
            throws XmlPullParserException, IOException {
        int eventType = parser.getEventType();
        while (eventType != XmlPullParser.END_DOCUMENT) {
            switch (eventType) {
            case XmlPullParser.START_TAG:
                String startTagName = parser.getName();
                if (startTagName.equalsIgnoreCase(GET_GCWS_MESSAGE_RESULT)) {
                    resultMessage = parser.nextText();
                }
                break;
            case XmlPullParser.END_TAG:
                String endTagName = parser.getName();
                if (endTagName.equalsIgnoreCase(tag)) {
                    return;
                }
                break;
            }
            eventType = parser.next();
        }
    }

    @Override
    public void setException(Exception exception) {
        this.exception = exception;
    }
}
